Bug 816806 - Project-wide replace treats search as a regular expression instead of literal string
Project-wide replace treats search as a regular expression instead of literal...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.6-SNAPSHOT
Unspecified Unspecified
high Severity high
: ---
: 1.6-beta-1
Assigned To: David Mason
Joyce Chang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 23:57 EDT by David Mason
Modified: 2013-03-03 22:19 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.6.0-alpha-3-SNAPSHOT (20120430-0019)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 20:58:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Mason 2012-04-26 23:57:44 EDT
Description of problem:
After running a project-wide search, when using the replace feature, the search is treated as a regular expression, so '.' will match any character and '?' at the beginning of the search string causes an error in replacement.

Version-Release number of selected component (if applicable):
1.6-alpha-1

How reproducible:
Always

Steps to Reproduce:
1.Sign in to a project and enter "?testing..." in any two translation fields
2.Navigate to project wide search and replace
3.Search for "..."
4.Enter "!" in the replacement field
5.Click "replace" next to one of the "?testing..." fields
6.Search for "?test", enter "test" in replacement field
7.Click "replace" next to the other "?testing..." field
  
Actual results:
5. string changed to "!!!.."
7. message "Replace text failed" shown and no replacement made

Expected results:
5. string changed to "?testing!"
7. string changed to "testing..."

Additional info:
Comment 2 Joyce Chang 2012-05-03 01:16:44 EDT
verified in Zanata version 1.6.0-alpha-3-SNAPSHOT (20120430-0019).

Note You need to log in before you can comment on or make changes to this bug.